.hwm-bg-pattern-1 {
    background: url('/wp-content/themes/twentytwentyfour-child/assets/img/hwm-bg-pattern-1.png');
    background-position: center center;
}

p.hwm-link-caret a {
    text-decoration: none !important;
    text-transform: uppercase;
    display: inline-block;
    position: relative;
    letter-spacing: 0.025em;
}

p.hwm-link-caret a::after {
    content: '';
    display: inline-block;
    position: relative;
    left: 0.5em;
    top: -0.03em;
    height: 0.5em;
    width: 0.5em;
    border-top: 1px solid var(--wp--preset--color--accent-2);
    border-right: 1px solid var(--wp--preset--color--accent-2);
    transform: rotate(45deg);
    transition: transform 0.5s;
}

p.hwm-link-caret:hover a {
    cursor: pointer;
    opacity: 0.75;
}

p.hwm-link-caret:hover a::after {
    transform: translateX(0.5em) rotate(45deg);
}

.hwm-underline-accent {
    position: relative;
}

.hwm-underline-accent::after, .hm-underline-accent::after {
    content: '';
    display: block;
    border-bottom: 1px solid var(--wp--preset--color--accent-2);
    margin-top: 0.375em;
    width: 5rem;
}

.has-text-align-center.hwm-underline-accent::after {
    margin-left: auto;
    margin-right: auto;
}

.wp-block-navigation a:where(:not(.wp-element-button)) {
    opacity: 1;
    transition: opacity .25s;
}

.wp-block-navigation a:where(:not(.wp-element-button)):hover {
    text-decoration: none;
    opacity: .5;
}

.wp-block-navigation-link {
    letter-spacing: 0.125em;
}

.wp-block-navigation-link.nav-cta {
    background-color: var(--wp--preset--color--accent);
    color: var(--wp--preset--color--base);
    padding: 0.5rem 1.25rem;
}

@media (max-width: 600px) {
    .hwm-header-logo {
        width: 180px !important;
    }
    .hwm-secondary-header {
        display: none !important;
    }
    .hwm-home-hero {
        padding-bottom: 80px !important;
    }
    .hwm-weather-items {
        gap: 1rem !important;
    }
    .hwm-weather-item__data {
        font-size: 1.25rem !important;
    }
    .hwm-hero-callout {
        padding: 2rem !important;
    }
    .hwm-hero-callout h2 {
        font-size: 1.5rem !important;
        text-align: center;
    }
    .hwm-hero-callout p {
        text-align: center;
    }
}

.hwm-weather-current {
    text-align: center;
    margin-top: 4rem;
}

.hwm-weather-title {
    text-align: center;
    font-size: 0.875rem;
    text-transform: uppercase;
    letter-spacing: 0.125em;
    margin-bottom: 1.25rem;
}

.hwm-weather-items {
    display: flex;
    gap: 2rem;
    justify-content: center;
}

.hwm-weather-item {
    position: relative;
    flex-basis: 33.33%;
}

/* .hwm-weather-item:not(:first-of-type) {
    padding-left: 2rem;
} */

.hwm-weather-item:not(:first-of-type)::before {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    border-left: 1px solid var(--wp--preset--color--accent-2);
    transform: translateX(-1rem) rotate(15deg);
}

.hwm-weather-item__data {
    font-size: 1.5rem;
}

.hwm-hero-callout__wrapper {
    margin-top: -50px;
}

.hwm-hero-callout {
    background-color: #FFF;
    box-shadow: 0px 1rem 2rem -2rem rgba(0,0,0,0.25);
    position: relative;
    z-index: 1;
}

.hwm-hero-callout::before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    width: 35%;
    height: 100%;
    background: url(/wp-content/uploads/2024/03/hwm-anchor-icon.png) no-repeat left center / 150% auto;
    opacity: .1;
}

.hwm-media-text.wp-block-media-text.hwm-media-text,
.hwm-media-text.wp-block-media-text.has-media-on-the-right {
    gap: 1rem;
    grid-template-columns: 1fr 1fr;
}

.hwm-media-text.wp-block-media-text .wp-block-media-text__content {
    background-color: #FFF;
    border: 1px solid var(--wp--preset--color--base-2);
    min-height: 100%;
    height: 400px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.hwm-feature-list {
    display: flex;
}

.hwm-feature-list > * {
    flex-basis: 25%;
}

.hwm-staff-profile {
    position: relative;
    padding: 2rem;
    text-align: center;
    height: 100%;
}

.hwm-staff-profile::before {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    top: auto;
    bottom: 0;
    width: 100%;
    height: calc(100% - 4.5rem);
    border: 1px solid var(--wp--preset--color--base-2);
}

.hwm-staff-profile figure {
    width: 5rem;
    height: 5rem;
    border-radius: 50%;
    overflow: hidden;
    position: relative;
}

.hwm-testimonial {
    background-color: #FFF;
    border: 1px solid var(--wp--preset--color--base-2);
    padding: 2rem;
}

.hwm-testimonial__source {
    position: relative;
    text-transform: uppercase;
}

.hwm-testimonial__source::after {
    content: '';
    display: block;
    border-bottom: 1px solid var(--wp--preset--color--accent-2);
    margin-top: 0.375em;
    width: 3rem;
}

.hwm-testimonial__text blockquote {
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    padding-right: 2.5rem;
    position: relative;
}

.hwm-testimonial__text blockquote::after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    width: 2rem;
    height: 2rem;
    background: url('/wp-content/themes/twentytwentyfour-child/assets/img/hwm-close-quote.png') no-repeat top right / contain;
}

.hwm-testimonial__text blockquote p {
    font-style: italic;
}

.hwm-testimonial__footer {
    font-size: .875rem;
}

/* Contact Form 7 */
.wpcf7-form {
    position: relative;
    max-width: 100%;
}

.wpcf7-form label {
    font-family: var(--wp--preset--font-family--heading);
    font-size: 0.875rem;
}

.wpcf7-form input[type="text"],
.wpcf7-form input[type="email"],
.wpcf7-form input[type="tel"],
.wpcf7-form textarea {
    width: 100%;
    box-sizing: border-box;
    border: 1px solid #A7BBC4;
    border-radius: 7px;
    margin-top: 0.25rem;
    min-height: 38px;
    padding: 0.1rem 0.5rem;
    font-family: var(--wp--preset--font-family--body);
    font-size: 1rem;
}

.wpcf7-not-valid-tip {
    font-size: 0.875rem;
    margin-top: 0.25rem;
}

.wpcf7-form .wpcf7-submit {
    padding: 1rem 2rem;
    background-color: var(--wp--preset--color--contrast);
    border: none;
    color: var(--wp--preset--color--base);
    letter-spacing: 0.125em;
    font-family: var(--wp--preset--font-family--heading);
    text-transform: uppercase;
}

.hwm-form-columns {
    display: flex;
    gap: 1rem;
}

.hwm-form-column {
    flex-grow: 1;
}

.wp-block-getwid-accordion .wp-block-getwid-accordion__header-wrapper:first-child {
    border: none;
}

.wp-block-getwid-accordion .wp-block-getwid-accordion__header {
    border: none;
    padding: 1.25rem 0;
}

.wp-block-getwid-accordion .wp-block-getwid-accordion__header-wrapper {
    border-top: 1px solid var(--wp--preset--color--base-2);
    border-right: none;
    border-bottom: none;
    border-left: none;
}

.wp-block-getwid-accordion .wp-block-getwid-accordion__header-wrapper:first-child {
    border: none;
}

.wp-block-getwid-accordion__content {
    border: none;
    padding-top: 0px;
    padding-left: 0px;
    font-size: 1rem;
}